com.lowagie.text.pdf

## Class PdfIndirectReference

- java.lang.Object
- - com.lowagie.text.pdf.PdfObject
  - - com.lowagie.text.pdf.PdfIndirectReference

- Direct Known Subclasses:
    PRIndirectReference

      public class PdfIndirectReference
      extends PdfObject

  `PdfIndirectReference` contains a reference to a `PdfIndirectObject`.

  Any object used as an element of an array or as a value in a dictionary may be specified by either a direct object of an indirect reference. An indirect reference is a reference to an indirect object, and consists of the indirect object's object number, generation number and the R keyword.
  This object is described in the 'Portable Document Format Reference Manual version 1.3' section 4.11 (page 54).

  See Also:
    `PdfObject`, `PdfIndirectObject`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `generation` the generation number
    `protected int` | `number` the object number

    - ### Fields inherited from class com.lowagie.text.pdf.PdfObject

      `ARRAY, BOOLEAN, bytes, DICTIONARY, INDIRECT, indRef, NAME, NOTHING, NULL, NUMBER, STREAM, STRING, TEXT_PDFDOCENCODING, TEXT_UNICODE, type`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `PdfIndirectReference()`
    `(package private)` | `PdfIndirectReference(int type, int number)` Constructs a `PdfIndirectReference`.
    `(package private)` | `PdfIndirectReference(int type, int number, int generation)` Constructs a `PdfIndirectReference`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getGeneration()` Returns the generation of the object.
    `int` | `getNumber()` Returns the number of the object.
    `java.lang.String` | `toString()` Returns the `String`-representation of this `PdfObject`.

    - ### Methods inherited from class com.lowagie.text.pdf.PdfObject

      `canBeInObjStm, getBytes, getIndRef, isArray, isBoolean, isDictionary, isIndirect, isName, isNull, isNumber, isStream, isString, length, setContent, setIndRef, toPdf, type`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### number

          protected int number

      the object number

    - #### generation

          protected int generation

      the generation number

  - ### Constructor Detail

    - #### PdfIndirectReference

          protected PdfIndirectReference()

    - #### PdfIndirectReference

          PdfIndirectReference(int type,
                              int number,
                              int generation)

      Constructs a `PdfIndirectReference`.
      Parameters:
        `type` - the type of the `PdfObject` that is referenced to
        `number` - the object number.
        `generation` - the generation number.

    - #### PdfIndirectReference

          PdfIndirectReference(int type,
                              int number)

      Constructs a `PdfIndirectReference`.
      Parameters:
        `type` - the type of the `PdfObject` that is referenced to
        `number` - the object number.

  - ### Method Detail

    - #### getNumber

          public int getNumber()

      Returns the number of the object.
      Returns:
        a number.

    - #### getGeneration

          public int getGeneration()

      Returns the generation of the object.
      Returns:
        a number.

    - #### toString

          public java.lang.String toString()

      Description copied from class: `PdfObject`
      Returns the `String`-representation of this `PdfObject`.
      Overrides:
        `toString` in class `PdfObject`
      Returns:
        a `String`